// color class
// -Kyoung Shin Park (2013 Spring)
//////////////////////////////////////////////////////////////////////
#ifndef __COLOR_H__
#define __COLOR_H__

#include "moglclass.h"

namespace moglclass
{

class Color : public glm::vec4
{
public:
	static const Color White;
	static const Color Black;
	static const Color Red;
	static const Color Green;
	static const Color Blue;
	static const Color Cyan;
	static const Color Magenta;
	static const Color Yellow;

	static const Color SkyBlue;
	static const Color NavyBlue;
	static const Color YellowGreen;
	static const Color DarkGreen;
	static const Color DarkYellow;
	static const Color Maroon;
	static const Color RedBrown;
	static const Color DarkBrown;
	static const Color GrayBrown;
	static const Color Orange;

	static const Color Grey10;
	static const Color Grey20;
	static const Color Grey30;
	static const Color Grey40;
	static const Color Grey50;
	static const Color Grey60;
	static const Color Grey70;
	static const Color Grey80;
	static const Color Grey90;

    Color(void) : glm::vec4(0.0f, 0.0f, 0.0f, 1.0f) {}
    Color(float r, float g, float b, float a) : glm::vec4(r, g, b, a) {}
};

}

#endif
